## dicompyler 0.4.2.0+git20200106.2643e0e

=== requirements.txt ===
dicompyler-core[image]>=0.5.2
wxPython>=4.0.0b2
matplotlib>=1.3,<2.2
numpy>=1.13.1
https://github.com/darcymason/pydicom/archive/master.zip

## dicompyler 0.4~a2

=== debian/changelog ===
dicompyler (0.4~a2-1) unstable; urgency=low

  * Initial release (Closes: #630116)

 -- Andreas Tille <tille@debian.org>  Fri, 17 Jun 2011 15:07:20 +0200

=== debian/control ===
Source: dicompyler
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 8), python (>= 2.6)
Standards-Version: 3.9.2
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/dicompyler/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/dicompyler/trunk/
Homepage: http://code.google.com/p/dicompyler/
XS-Python-Version: >= 2.6

Package: dicompyler
Architecture: all
X-Only-in-experimental: python-dicom (>= 0.9.5~rc1)
Depends: ${misc:Depends}, ${python:Depends}, python-wxgtk2.8 (>= 2.8.8.1),
 python-imaging (>= 1.1.7), python-dicom, python-numpy (>= 1.2.1),
 python-matplotlib (>= 0.99), python-sqlalchemy (>= 0.5.4),  python-elixir (>= 0.6.1)
Description: radiation therapy research platform
 Dicompyler is an extensible, fully open source radiation therapy
 research platform based on the DICOM standard. It also functions as a
 cross-platform DICOM RT viewer.
 .
 Features:
  * Import CT Images, DICOM RT structure set, RT dose and RT plan files
  * Extensible plugin system with included plugins:
     - 2D image viewer with dose and structure overlay
     - Dose volume histogram viewer with the ability to analyze DVH parameters
     - DICOM data tree viewer
     - Patient anonymizer

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for dicompyler
# Andreas Tille <tille@debian.org>
# GPL

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_install:
	dh_install
	# fix some permissions
	find debian -name __init__.py -o -name wxmpl.py -o -name dvhdoses.py | xargs -r chmod a-x

get-orig-source:
	uscan --verbose --force-download --repack

## dicompyler 0.4%7ea2

=== debian/watch ===
version=3
opts="dversionmangle=s/~//" \
  http://googlecode.debian.net/p/dicompyler/dicompyler-(.+)\.tgz

## dicompyler 0.4.1-1

=== debian/changelog ===
dicompyler (0.4.1-1-1) unstable; urgency=low

  * New upstream version
  * debian/watch: Adapted to new versioning scheme
  * debian/install: Adapted to new directory layout
  * debian/docs: Adapted to new directory layout
  * debian/lintian-overrides: license.txt file is referenced from
    the code so it needs to be installed
  * debian/control: Moved now available python-dicom to Depends
  * debian/bin/dicompyler: Adapt PATH
  * debian/patches/do_not_download_distribute.patch: Prevent setup
    from downloading distribute
  * debian/rules: Less need to fix permissions

 -- Andreas Tille <tille@debian.org>  Tue, 03 Jan 2012 17:15:29 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
 Uploaders: Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 8), python (>= 2.6)
+Build-Depends: debhelper (>= 8), python (>= 2.6), python-setuptools
 Standards-Version: 3.9.2
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/dicompyler/trunk/
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/dicompyler/trunk/
@@ -13,10 +13,10 @@
 
 Package: dicompyler
 Architecture: all
-X-Only-in-experimental: python-dicom (>= 0.9.5~rc1)
 Depends: ${misc:Depends}, ${python:Depends}, python-wxgtk2.8 (>= 2.8.8.1),
  python-imaging (>= 1.1.7), python-dicom, python-numpy (>= 1.2.1),
- python-matplotlib (>= 0.99), python-sqlalchemy (>= 0.5.4),  python-elixir (>= 0.6.1)
+ python-matplotlib (>= 0.99), python-sqlalchemy (>= 0.5.4),  python-elixir (>= 0.6.1),
+ python-dicom (>= 0.9.5~rc1)
 Description: radiation therapy research platform
  Dicompyler is an extensible, fully open source radiation therapy
  research platform based on the DICOM standard. It also functions as a

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 override_dh_install:
 	dh_install
 	# fix some permissions
-	find debian -name __init__.py -o -name wxmpl.py -o -name dvhdoses.py | xargs -r chmod a-x
+	find debian -name __init__.py | xargs -r chmod a-x
 
 get-orig-source:
 	uscan --verbose --force-download --repack

=== debian/watch ===
version=3
opts="dversionmangle=s/~//" \
  http://googlecode.debian.net/p/dicompyler/dicompyler-(.+)\.t.*gz

## dicompyler 0.4.2

=== debian/changelog ===
dicompyler (0.4.2-3) unstable; urgency=medium

  * Fix title of citation
  * New homepage
    Closes: #754975
  * Moved ot Github
  * Remove menu file
  * debian/watch point to Github

 -- Andreas Tille <tille@debian.org>  Sat, 05 Dec 2015 22:58:49 +0100

dicompyler (0.4.2-2) unstable; urgency=medium

  * Adapt to wxpython3.0 using wx-migration-tools
    Closes: #759056
  * Use buildsystem=pybuild
  * Adapt to new installation location suggested for Python applications
  * Install modules in correct dir and replace wrapper by symlink
  * Provide properly sized icon in proper dir
  * debian/copyright: Fixed several DEP5 issues uncovered by lintian
  * debian/patches/enable_pydicom_0.9.8.patch: Hopefully dicompyler can
    also cope with the current version of python-dicom.  This needs to
    be clarified with upstream but for the moment we need the patch to
    let it start at all.
  * debian/patches/allow_pillow_instead_of_pil.patch: python-imaging is
    providing only pillow egg-info
  * debian/patches/enable_later_versions_of_matplotlib.patch :Try to port
    dicompyler to current version of matplotlib
  * debian/control: Add dependency python-tornado
  * debian/patches/fix-xrc-errors.patch: Fix XRC files (thanks to
    Olly Betts for the patch)

 -- Andreas Tille <tille@debian.org>  Wed, 10 Sep 2014 23:21:42 +0200

dicompyler (0.4.2-1) unstable; urgency=medium

  * New upstream version
  * Adapt watch file
  * Add citations

 -- Andreas Tille <tille@debian.org>  Sat, 23 Aug 2014 21:18:01 +0200

dicompyler (0.4.1-1-2) unstable; urgency=low

  * Do not depend from python-elixir and python-sqlalchemy
    Closes: #740512
  * cme fix dpkg-control
  * debhelper 9

 -- Andreas Tille <tille@debian.org>  Tue, 04 Mar 2014 09:57:44 +0100

=== debian/control ===
Source: dicompyler
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               python,
               dh-python,
               python-setuptools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/dicompyler/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/dicompyler/trunk/
Homepage: http://www.dicompyler.com/
X-Python-Version: >= 2.6

Package: dicompyler
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-wxgtk3.0,
         python-imaging,
         python-dicom,
         python-numpy,
         python-matplotlib,
         python-dicom (>= 0.9.5~rc1),
         python-tornado
Description: radiation therapy research platform
 Dicompyler is an extensible, fully open source radiation therapy
 research platform based on the DICOM standard. It also functions as a
 cross-platform DICOM RT viewer.
 .
 Features:
  * Import CT Images, DICOM RT structure set, RT dose and RT plan files
  * Extensible plugin system with included plugins:
     - 2D image viewer with dose and structure overlay
     - Dose volume histogram viewer with the ability to analyze DVH parameters
     - DICOM data tree viewer
     - Patient anonymizer

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for dicompyler
# Andreas Tille <tille@debian.org>
# GPL

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')

export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/$(DEBPKGNAME)/
export PYBUILD_AFTER_INSTALL=mv {destdir}/usr/bin/$(DEBPKGNAME) {destdir}/usr/share/$(DEBPKGNAME)/run

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_fixperms:
	dh_fixperms
	find debian -name __init__.py | xargs -r chmod a-x
	find debian -name "*.png" | xargs -r chmod a-x

get-orig-source:
	uscan --verbose --force-download --repack

=== debian/watch ===
version=3
https://github.com/bastula/dicompyler/releases .*/archive/release-(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## dicompyler 0.4.2.0

=== debian/changelog ===
dicompyler (0.4.2.0-2) unstable; urgency=medium

  * Point Vcs fields to salsa.debian.org
  * Ignore another falso positive lintian issue
  * Drop unneeded get-orig-source target
  * Remove ancient X-Python-Version field
  * debhelper 12
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Mon, 21 Jan 2019 15:23:33 +0100

dicompyler (0.4.2.0-1) unstable; urgency=medium

  [ Vojtěch Kulvait ]
  * Team upload
  * More patches to finally work with wx 3.0
  * Not really new upstream version but content of upstream source archive
    on Github has changed
  * wx.lib.pubsub fix according to
    https://wxpython.org/Phoenix/docs/html/wx.lib.pubsub.setuparg1.html
  * Works with pillow >=3.0.0 addressing changes due to commit upstream
    71c95c8e5f3bba1845444a246d04646825e6bab3.

  [ Andreas Tille ]
  * d/rules: do not parse d/changelog

 -- Vojtěch Kulvait <kulvait@gmail.com>  Wed, 20 Sep 2017 08:59:32 +0200

dicompyler (0.4.2-4) unstable; urgency=medium

  * Fix Open Patient dialog (Thanks for the patch to Vojtech Kulvait
    <kulvait@gmail.com>)
    may be Closes: #854837
  * allow python-dicom 0.9.9 which is now in testing
  * drop versioned Depends: python-dicom (>= 0.9.5~rc1)
  * allow python-matplotlib 2.0.0 which is now in testing
  * Moved packaging from SVN to Git
  * Depends: s/python-imaging/python-pil/
    Closes: #866422
  * debhelper 10
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 14 Sep 2017 14:26:47 +0200

=== debian/control ===
Source: dicompyler
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Vojtěch Kulvait <kulvait@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 12~),
               python,
               dh-python,
               python-setuptools
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/dicompyler
Vcs-Git: https://salsa.debian.org/med-team/dicompyler.git
Homepage: http://www.dicompyler.com/

Package: dicompyler
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-wxgtk3.0,
         python-pil (>=3.0.0),
         python-numpy,
         python-matplotlib,
         python-dicom,
         python-tornado
Description: radiation therapy research platform
 Dicompyler is an extensible, fully open source radiation therapy
 research platform based on the DICOM standard. It also functions as a
 cross-platform DICOM RT viewer.
 .
 Features:
  * Import CT Images, DICOM RT structure set, RT dose and RT plan files
  * Extensible plugin system with included plugins:
     - 2D image viewer with dose and structure overlay
     - Dose volume histogram viewer with the ability to analyze DVH parameters
     - DICOM data tree viewer
     - Patient anonymizer

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/$(DEB_SOURCE)/
export PYBUILD_AFTER_INSTALL=mv {destdir}/usr/bin/$(DEB_SOURCE) {destdir}/usr/share/$(DEB_SOURCE)/run

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_fixperms:
	dh_fixperms
	find debian -name __init__.py | xargs -r chmod a-x
	find debian -name "*.png" | xargs -r chmod a-x

## dicompyler 0.4.2.0+git20200106.2643e0e

=== debian/changelog ===
dicompyler (0.4.2.0+git20200106.2643e0e-1) unstable; urgency=medium

  * Fetch Git head from upstream to get changes for Python3 soon
  * debhelper-compat 12 (routine-update)
  * Standards-Version: 4.5.0
  * Build using Python3
    Closes: #936395, #943017
  * (Build-)Depends: python3-wxgtk4.0, python3-pydicom,
    python3-dicompylercore

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jan 2020 13:00:45 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,14 @@
            Vojtěch Kulvait <kulvait@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
-               python,
+Build-Depends: debhelper-compat (= 12),
+               python3,
                dh-python,
-               python-setuptools
-Standards-Version: 4.3.0
+               python3-setuptools,
+               python3-wxgtk4.0 <!nocheck>,
+               python3-pydicom <!nocheck>,
+               python3-dicompylercore <!nocheck>,
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/dicompyler
 Vcs-Git: https://salsa.debian.org/med-team/dicompyler.git
 Homepage: http://www.dicompyler.com/
@@ -16,13 +19,14 @@
 Package: dicompyler
 Architecture: all
 Depends: ${misc:Depends},
-         ${python:Depends},
-         python-wxgtk3.0,
-         python-pil (>=3.0.0),
-         python-numpy,
-         python-matplotlib,
-         python-dicom,
-         python-tornado
+         ${python3:Depends},
+         python3-wxgtk4.0,
+         python3-dicompylercore,
+         python3-pil (>=3.0.0),
+         python3-numpy,
+         python3-matplotlib,
+         python3-pydicom,
+         python3-tornado
 Description: radiation therapy research platform
  Dicompyler is an extensible, fully open source radiation therapy
  research platform based on the DICOM standard. It also functions as a

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export PYBUILD_AFTER_INSTALL=mv {destdir}/usr/bin/$(DEB_SOURCE) {destdir}/usr/share/$(DEB_SOURCE)/run
 
 %:
-	dh $@ --with python2 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_fixperms:
 	dh_fixperms

=== debian/watch ===
version=4

opts="mode=git,pretty=0.4.2.0+git%cd.%h" \
    https://github.com/bastula/dicompyler.git HEAD

# https://github.com/bastula/dicompyler/releases .*/archive/release-(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
